BASENAME(1)

NAME
basename - strip directory and suffix from filenames

SYNOPSIS
basename name [suffix]
basename {--help,--version}

DESCRIPTION
This documentation is no longer being maintained and may be inaccurate or incomplete. The Texinfo documentation is now the authoritative source.

This manual page documents the GNU version of basename. The basename command removes any leading directory components from name; If suffix is specified and is identical to the end of name, it is removed from name as well. basename prints the resulting name on the standard output.

  OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.